version: 2
updates:
  - package-ecosystem: github-actions
    directory: /
    schedule:
      interval: daily

  - package-ecosystem: pip
    directory: /docs/mkdocs
    schedule:
      interval: daily

  - package-ecosystem: pip
    directory: /tools/astyle
    schedule:
      interval: daily

  - package-ecosystem: pip
    directory: /tools/generate_natvis
    schedule:
      interval: daily

  - package-ecosystem: pip
    directory: /tools/serve_header
    schedule:
      interval: daily

  - package-ecosystem: pip
    directory: /cmake/requirements
    schedule:
      interval: daily
